Get Many Custom Fields
Bad Request
Unauthorized
Forbidden
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/custom-field?select=SOME_ARRAY_VALUE&filters=SOME_OBJECT_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE&sort=SOME_OBJECT_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": [
- {
- "id": "string",
- "companyId": "string",
- "module": "Employee",
- "type": "boolean",
- "accessList": [
- {
- "role": "ADMIN",
- "actions": [
- "WRITE"
]
}
], - "name": "string",
- "label": "string",
- "helpLabel": "string",
- "labelTranslations": [
- {
- "locale": "en",
- "label": "string"
}
], - "helpLabelTranslations": [
- {
- "locale": "en",
- "label": "string"
}
], - "required": true,
- "reportable": true,
- "exportable": true,
- "importable": true,
- "filterable": true,
- "sortable": true,
- "onboarding": true,
- "multiple": true,
- "isNotPIIfield": true,
- "default": { },
- "options": [
- {
- "label": "string",
- "value": { },
- "translations": [
- {
- "locale": "en",
- "label": "string"
}
]
}
], - "archived": true
}
], - "total": 500,
- "count": 50,
- "offset": 50,
- "relations": { }
}Get One Custom Field
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/custom-field/507f1f77bcf86cd799439011?select=SOME_ARRAY_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "module": "Employee",
- "type": "boolean",
- "accessList": [
- {
- "role": "ADMIN",
- "actions": [
- "WRITE"
]
}
], - "name": "string",
- "label": "string",
- "helpLabel": "string",
- "labelTranslations": [
- {
- "locale": "en",
- "label": "string"
}
], - "helpLabelTranslations": [
- {
- "locale": "en",
- "label": "string"
}
], - "required": true,
- "reportable": true,
- "exportable": true,
- "importable": true,
- "filterable": true,
- "sortable": true,
- "onboarding": true,
- "multiple": true,
- "isNotPIIfield": true,
- "default": { },
- "options": [
- {
- "label": "string",
- "value": { },
- "translations": [
- {
- "locale": "en",
- "label": "string"
}
]
}
], - "archived": true
}, - "relations": { }
}